> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Custody Allocations To Investment

> Creates custody allocations linking existing wallets to investments with amounts.

Not available to API keys yet. It will need `wallets:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/add-custody-allocations-to-investment
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/add-custody-allocations-to-investment:
    post:
      operationId: addCustodyAllocationsToInvestment
      summary: Add Custody Allocations To Investment
      description: >-
        Creates custody allocations linking existing wallets to investments with
        amounts.


        Not available to API keys yet. It will need `wallets:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddCustodyAllocationsToInvestmentRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddCustodyAllocationsToInvestmentResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    AddCustodyAllocationsToInvestmentRequest:
      type: object
      properties:
        allocations:
          type: array
          items:
            type: object
            properties:
              walletAddress:
                type: string
                minLength: 1
              allocationAmount:
                type: number
                minimum: 0
              investmentID:
                type: string
                format: uuid
            required:
              - walletAddress
              - allocationAmount
              - investmentID
          minItems: 1
          maxItems: 1000
      required:
        - allocations
    AddCustodyAllocationsToInvestmentResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
